Package com.pixelmed.display.event

# Class WindowLinearCalculationChangeEvent

java.lang.Object
com.pixelmed.event.Event
com.pixelmed.display.event.WindowLinearCalculationChangeEvent

public class WindowLinearCalculationChangeEvent extends Event

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`dicomCalculation`
`static final String`
`exactCalculation`

## Constructor Summary

Constructors
Constructor
Description
`WindowLinearCalculationChangeEvent(EventContext eventContext, String calculation)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCalculation()`
`boolean`
`isDicomCalculation()`
`boolean`
`isExactCalculation()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### exactCalculation

public static final String exactCalculation

See Also:
  - Constant Field Values

### dicomCalculation

public static final String dicomCalculation

See Also:
  - Constant Field Values

## Constructor Details

### WindowLinearCalculationChangeEvent

public WindowLinearCalculationChangeEvent(EventContext eventContext, String calculation)

Parameters:
  `eventContext` -
  `calculation` -

## Method Details

### getCalculation

public String getCalculation()

### isExactCalculation

public boolean isExactCalculation()

### isDicomCalculation

public boolean isDicomCalculation()